const __VLS_props = withDefaults(defineProps(), { ariaLabel: '탭' });
const emit = defineEmits();
const __VLS_defaults = { ariaLabel: '탭' };
const __VLS_ctx = {
    ...{},
    ...{},
    ...{},
    ...{},
    ...{},
};
let __VLS_components;
let __VLS_intrinsics;
let __VLS_directives;
__VLS_asFunctionalElement1(__VLS_intrinsics.div, __VLS_intrinsics.div)({});
__VLS_asFunctionalElement1(__VLS_intrinsics.div, __VLS_intrinsics.div)({
    ...{ class: "ks-tabs" },
    role: "tablist",
    'aria-label': (__VLS_ctx.ariaLabel),
});
/** @type {__VLS_StyleScopedClasses['ks-tabs']} */ ;
for (const [item] of __VLS_vFor((__VLS_ctx.items))) {
    __VLS_asFunctionalElement1(__VLS_intrinsics.button, __VLS_intrinsics.button)({
        ...{ onClick: (...[$event]) => {
                return (__VLS_ctx.emit('update:modelValue', item.id));
                // @ts-ignore
                [ariaLabel, items, emit,];
            } },
        key: (item.id),
        type: "button",
        role: "tab",
        'aria-selected': (__VLS_ctx.modelValue === item.id),
        disabled: (item.disabled),
    });
    (item.label);
    if (item.badge) {
        __VLS_asFunctionalElement1(__VLS_intrinsics.small, __VLS_intrinsics.small)({});
        (item.badge);
    }
    // @ts-ignore
    [modelValue,];
}
__VLS_asFunctionalElement1(__VLS_intrinsics.div, __VLS_intrinsics.div)({
    role: "tabpanel",
});
var __VLS_0 = {
    activeId: (__VLS_ctx.modelValue),
};
// @ts-ignore
var __VLS_1 = __VLS_0;
// @ts-ignore
[modelValue,];
const __VLS_base = (await import('vue')).defineComponent({
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
const __VLS_export = {};
export default {};
